function displaycurrentsignal
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

global uewktmat reihe bestreihe bestuewktmat...
    bestdist faktorstring aktiverfaktor relmat...
    wktstatus whlstatus whlspez distmat...
    kriterium signallaenge dist meanuewktmat
    

insertintertrialitemmenuitem=findobj('tag','insertintertrialitemmenuitem');  
if ~isempty(bestreihe)
	if strcmp(get(insertintertrialitemmenuitem,'checked'),'on')
		fprintf(1,['array <int> reihe [',num2str(signallaenge*2),']={']);
		fprintf(1,'%i',bestreihe(1));
		fprintf(1,',-1');
		for j=2:length(bestreihe)
            fprintf(1,',');
            fprintf(1,'%i',bestreihe(j));
            fprintf(1,',-1');
		end
	else
        fprintf(1,['array <int> reihe [',num2str(signallaenge),']={']);
		fprintf(1,'%i',bestreihe(1));
		for j=2:length(bestreihe)
            fprintf(1,',');
            fprintf(1,'%i',bestreihe(j));
		end
	end
	bestuewktmat=bestuewktmat
	kriterium
	meanuewktmat
	dist
else
    uiwait(errordlg('Eine Reihe kann erst angezeigt werden nachdem sie erstellt wurde!','Achtung:'));
    return
end
return
